SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
DataStructures::LinkedList< LinkedListType > Class Template Reference

`#include <slikenet/DS_LinkedList.h>`

Inheritance diagram for DataStructures::LinkedList< LinkedListType >:

## Public Member Functions

| LinkedList ()
| LinkedList (const LinkedList &original_copy)
| ~LinkedList ()
bool | operator= (const LinkedList< LinkedListType > &original_copy)
LinkedList & | operator++ ()
LinkedList & | operator++ (int)
LinkedList & | operator-- ()
LinkedList & | operator-- (int)
Public Member Functions inherited from DataStructures::CircularLinkedList< LinkedListType >
| CircularLinkedList ()
| CircularLinkedList (const CircularLinkedList &original_copy)
| ~CircularLinkedList ()
bool | operator= (const CircularLinkedList &original_copy)
CircularLinkedList & | operator++ ()
CircularLinkedList & | operator++ (int)
CircularLinkedList & | operator-- ()
CircularLinkedList & | operator-- (int)
bool | IsIn (const LinkedListType &input)
bool | Find (const LinkedListType &input)
void | Insert (const LinkedListType &input)
LinkedListType & | Add (const LinkedListType &input)
void | Replace (const LinkedListType &input)
void | Del (void)
unsigned int | Size (void)
LinkedListType & | Peek (void)
LinkedListType | Pop (void)
void | Clear (void)
void | Sort (void)
void | Beginning (void)
void | End (void)
void | Concatenate (const CircularLinkedList &L)

## Additional Inherited Members

Protected Member Functions inherited from DataStructures::CircularLinkedList< LinkedListType >
node * | FindPointer (const LinkedListType &input)
Protected Attributes inherited from DataStructures::CircularLinkedList< LinkedListType >
unsigned int | list_size
node * | root
node * | position

## Detailed Description

### template<class LinkedListType>
class DataStructures::LinkedList< LinkedListType >

Definition at line 219 of file DS_LinkedList.h.

## Constructor & Destructor Documentation

template<class LinkedListType>

DataStructures::LinkedList< LinkedListType >::LinkedList | ( |  | ) |

inline

Definition at line 223 of file DS_LinkedList.h.

template<class LinkedListType >

DataStructures::LinkedList< LinkedListType >::LinkedList | ( | const LinkedList< LinkedListType > & | original_copy | ) |

Definition at line 367 of file DS_LinkedList.h.

References _FILE_AND_LINE_, DataStructures::CircularLinkedList< CircularLinkedListType >::list_size, DataStructures::CircularLinkedList< CircularLinkedListType >::position, return, and DataStructures::CircularLinkedList< CircularLinkedListType >::root.

template<class LinkedListType >

DataStructures::LinkedList< LinkedListType >::~LinkedList | ( |  | ) |

Definition at line 361 of file DS_LinkedList.h.

## Member Function Documentation

template<class LinkedListType >

LinkedList< LinkedListType > & DataStructures::LinkedList< LinkedListType >::operator++ | ( |  | ) |

Definition at line 1192 of file DS_LinkedList.h.

template<class LinkedListType >

LinkedList< LinkedListType > & DataStructures::LinkedList< LinkedListType >::operator++ | ( | int |  | ) |

Definition at line 1213 of file DS_LinkedList.h.

template<class LinkedListType >

LinkedList< LinkedListType > & DataStructures::LinkedList< LinkedListType >::operator-- | ( |  | ) |

Definition at line 1220 of file DS_LinkedList.h.

template<class LinkedListType >

LinkedList< LinkedListType > & DataStructures::LinkedList< LinkedListType >::operator-- | ( | int |  | ) |

Definition at line 1242 of file DS_LinkedList.h.

template<class LinkedListType>

bool DataStructures::LinkedList< LinkedListType >::operator= | ( | const LinkedList< LinkedListType > & | original_copy | ) |

Definition at line 256 of file DS_LinkedList.h.

References _FILE_AND_LINE_, DataStructures::CircularLinkedList< LinkedListType >::list_size, DataStructures::CircularLinkedList< LinkedListType >::position, and DataStructures::CircularLinkedList< LinkedListType >::root.

The documentation for this class was generated from the following file:

- Source/include/slikenet/DS_LinkedList.h